Order And Ship Cards

Orders and ships physical cards to the given mailing address.
Returns the count and external IDs of cards ordered, and the card order. A tracking number will be added to the card order once it has shipped.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
boolean

Set async to true to process the card order asynchronously

int64
required

A maximum of 300 cards can be ordered in one api call.

cardMetadata
array of objects

Optional metadata field in the form of a key/value pair. All cards within one order will have identical metadata.

cardMetadata
cardPersonalizations
array of objects

These can overwrite the printed fields on a card. If passing in any CardPersonalizations, len(CardPersonalizations) must be equal to CardCount

cardPersonalizations
boolean

This field should only be used with the express permission of GiveCard as it can have serious implications on your program.

string

Deprecated: please use spend rule ids param instead.

string

Program ID is only required for superbusinesses.

string
enum
required

USPS_GROUND ShipmentMethodGround USPS_GROUND is free and recommended, all other shipping methods come at an additional cost. Group card shipments cannot be shipped ground, please select a different shipment method.
USPS_PRIORITY ShipmentMethodPriority Charges vary for USPS_PRIORITY and will be billed to your business.
UPS_NEXT_DAY ShipmentMethodNextDay Deprecated: Please use FEDEX_PRIORITY_OVERNIGHT instead.
UPS_SECOND_DAY ShipmentMethodSecondDay Deprecated: Please use FEDEX_2_DAY instead.
FEDEX_2_DAY ShipmentMethodFedex2Day Charges vary for FEDEX_2_DAY and will be billed to your business.
FEDEX_PRIORITY_OVERNIGHT ShipmentMethodFedexPriorityOvernight Charges vary for FEDEX_PRIORITY_OVERNIGHT and will be billed to your business.

Allowed:
shippingAddress
object
required
spendRuleIds
array of objects

Passing in spend rule id(s) applies spend rule(s) to a card upon order. To create a spend rule and limit where and how cardholders can use funds, refer to Create Spend Rule.

spendRuleIds
string
enum

Optional field to lock ('locked') or freeze ('frozen') the card upon order. Frozen cards can only be unfrozen by the business, locked cards require the cardholder to create an account with GiveCard to unlock the card. Passing this field is recommended if shipping a physical card loaded with funds.
active CardStatusActive
locked CardStatusLocked
processing CardStatusProcessing
closed CardStatusClosed
frozen CardStatusFrozen
reassociated CardStatusReassociated
pending_activation CardStatusPendingActivation
frozen_pending_activation CardStatusFrozenPendingActivation

Headers
string
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
*/*